export function vaildUrl() {
  const url: string = window.location.hostname;
  let returnUrl = '';
  if (/test/.test(url)) {
    // dev 环境
    returnUrl = 'https://test.kt.colexiu.com';
  } else if (/dev/.test(url)) {
    returnUrl = 'https://dev.kt.colexiu.com';
  } else if (/localhost/.test(url)) {
    //   //本地环境
    returnUrl = 'https://test.kt.colexiu.com';
  } else {
    // 默认dev环境
    returnUrl = 'https://kt.colexiu.com';
  }
  return returnUrl;
}

export function vaildMusicScoreUrl() {
  const url: string = window.location.hostname;
  let returnUrl = '';

  if (/test/.test(url)) {
    // dev 环境
    returnUrl = 'https://test.kt.colexiu.com';
  } else if (/dev/.test(url)) {
    returnUrl = 'https://dev.kt.colexiu.com';
  } else if (/localhost/.test(url)) {
    //   //本地环境
    returnUrl = 'https://test.kt.colexiu.com';
  } else {
    returnUrl = 'https://mec.colexiu.com';
  }
  return returnUrl;
}

export function vaildPPTUrl() {
  const url: string = window.location.hostname;
  let returnUrl = '';

  if (/test/.test(url)) {
    returnUrl = 'https://test.kt.colexiu.com/classroom-ppt';
  } else if (/dev/.test(url)) {
    returnUrl = 'https://dev.kt.colexiu.com/classroom-ppt';
  } else if (/localhost/.test(url)) {
    returnUrl = 'http://localhost:9527';
  } else {
    returnUrl = 'https://mec.colexiu.com/classroom-ppt';
  }
  return returnUrl;
}
